%global momorel 7

Summary: A free, powerful and easy to use remote security scanner
Name: nessus-plugins
Version: 2.2.11
Release: %{momorel}m%{?dist}
License: GPL
Group: System Environment/Daemons
Source0: %{name}-GPL-%{version}.tar.gz
Patch0: nessus-plugins-2.2.11-install-scripts.patch
URL: http://www.nessus.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: nmap, openssl-devel >= 1.0.0
BuildRequires: nessus-devel = %{version}
BuildRequires: libnasl-devel = %{version}
BuildRequires: nessus-libraries-devel = %{version}
BuildRequires: gmp-devel
BuildRequires: openssl-devel >= 0.9.8h
Requires: gmp >= 3.0.0

%description
Nessus is a free, up-to-date, and full featured remote security scanner for
Linux. It is multithreaded, plugin-based, has a nice GTK interface, and
currently performs 590 remote security checks. It has powerful reporting
capabilities (HTML, LaTeX, ASCII text) and not only points out problems,
but suggests a solution for each of them.

This package includes the libraries shared by both the Nessus client and
the Nessus server. You must install this package in order to use any one
of them.

%prep
%setup -q -n %{name}
%patch0 -p1 -b .install-scripts

%build
%configure --enable-install=`%{__id} -un` --with-fetchcmd=wget
%make

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%post
# %{_sbindir}/nessus-update-plugins
echo "run %{_sbindir}/nessus-update-plugins to update plugins."

                                                                                             
%files
%defattr(-, root, root)
%doc docs/plugins_api.txt
%{_libdir}/nessus/plugins/*
%{_sbindir}/nessus-update-plugins
%{_mandir}/man8/nessus-update-plugins.8.*

#honto ha devel..
%{_bindir}/nessus-build
%{_libdir}/nessus/plugins_factory
%{_mandir}/man1/nessus-build.1.*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.2.11-7m)
- full rebuild for mo7 release

* Sun Apr  4 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.2.11-6m)
- rebuild against openssl-1.0.0

* Mon Dec 28 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.2.11-5m)
- delete __libtoolize hack

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.2.11-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Tue Apr 07 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.2.11-3m)
- rebuild against openssl-0.9.8k

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.2.11-2m)
- rebuild against rpm-4.6

* Tue Jun 10 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.2.11-1m)
- update to 2.2.11
- update patch

* Sun Jun  8 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.2.10-4m)
- do not use force bz2 setting in man

* Fri Jun  6 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.2.10-3m)
- rebuild against openssl-0.9.8h

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.2.10-2m)
- rebuild against gcc43

* Sun Aug 12 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.2.10-1m)
- update to 2.2.10
- No NoSource (ftp://ftp.nessus.org/ does not exist)
- add Patch0

* Sun Nov  5 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (2.2.9-1m)
- update to 2.2.9

* Tue May 30 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.2.8-1m)
- update to 2.2.8

* Sun Apr  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.2.4-2m)
- rebuild against openssl-0.9.8a

* Thu Mar 24 2005 Kazuhiko <kazuhiko@fdiary.net>
- (2.2.4-1m)
- minor feature enhancements

* Sat Feb 12 2005 Kazuhiko <kazuhiko@fdiary.net>
- (2.2.3-1m)
- minor feature enhancements

* Tue Dec 21 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.2.2a-1m)
- major feature enhancements

* Sun Aug 22 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.12-1m)
- major bugfixes

* Thu Mar 18 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.10a-1m)
- disable automatic update in %post

* Sun Nov  9 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.9-1m)
- minor feature enhancements

* Fri Oct 17 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.8-2m)
- add '--with-fetchcmd=wget'

* Fri Oct  3 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.8-1m)
- minor bugfixes

* Sat Jul 12 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.7-1m)

* Wed Jun 18 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.6-2m)
- split

* Fri May 23 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.6-1m)

* Sat Apr 19 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.4-1m)

* Fri Apr  4 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.3-1m)

* Mon Mar 10 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.0.1-2m)
  rebuild against openssl 0.9.7a

* Sat Mar  8 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.1-1m)
- major feature enhancements

* Thu Dec 19 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.7-1m)
- minor bugfixes

* Mon Oct 14 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.6-1m)
- major feature enhancements

* Sat Sep 14 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.5-1m)

* Mon Aug 12 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.4-1m)
- use '%configure' macro again

* Mon Jul  8 2002 YAMAZAKI Makoto <zaki@momonga-linux.org>
- (1.2.3-3m)
- add export PATH="%{buildroot}%{_sbindir}:$PATH"

* Sat Jul  6 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.3-2m)
- rename 'nessus-common' to 'nessus'
- add some man pages and documents

* Thu Jul  4 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.3-1m)

* Wed Jul  3 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.2-1m)
- import from freshrpm
- not run nessusd in any run level by default

* Fri May  3 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt against Red Hat Linux 7.3.
- Added the %{?_smp_mflags} expansion.

* Fri Apr 19 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.2.0, woohoo! :-)

* Mon Apr  8 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.1.14.

* Mon Jan 22 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.1.12 at last.

* Tue Nov  6 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.1.8.
- Added nessus-mkrand to the server's %files.

* Mon Oct 22 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.1.7.

- Update to 1.1.6.
* Sun Oct 21 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fixed the missing nessus-mkcert and CA dirs (thanks to Yosi Markovich).
- Now enabled syslog logging and tcp_wrappers.
- To rebuild this RPM, it seems that you now have to uninstall any older
  version from your system or else its libs will get found and things
  won't be as expected ;-)

* Tue Oct 16 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.1.6.
- Removed all the obsolete peks stuff from the spec.

* Sun Sep  2 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.1.4.

* Thu Aug  9 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.1.3... not released : Didn't compile.

* Fri Aug  3 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Simplifications on the spec file, there's always more!
- Enabled many of the nifty experimental features that exist :-)
- Put the nmap build requires back in : the plugins need it.
- Added a require for wget in the server to update the plugins.

* Tue Jul 31 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.1.2, nessus 1.2 ahead!
- Spec file cleanup, mostly %%configure macros working again.
- Moved the libs and man pages around to make a bit more sense.
- Changed the client's "Group:", bacause "Base" wasn't quite right.
- Switched the plugins <-> server dependency and added gmp.
- Merged the server and the plugins... should have done this before,
  it's been confusing the newbies for some time ;-)
- Added a GNOME menu entry for the GTK+ client.
- A few other tweaks...

* Thu May 31 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.0.8.

* Fri Apr 20 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat 7.1.
- Updated the init script for 7.1 also.
- gunzip'ed and bzip2 -9'ed the tar sources to take less bandwith with
  the SRPM ;-)

* Fri Feb  2 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Complete rewrite of the spec file, a tough one! :-)
- Renamed the "nessus" package to "nessus-server"
- Update to 1.0.7a
- Changed the config files
- Etc. (so many changes!)

* Wed Nov 22 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- updated the spec file for RedHat 7.0, nessus 1.0.6
- redid the init script for RedHat 7.0

* Sun Sep 17 2000 Renaud Deraison <deraison@nessus.org>
- nessus 1.0.5

* Wed Aug 1 2000 Renaud Deraison <deraison@nessus.org>
- nessus 1.0.4

* Sat Jul 8 2000 Renaud Deraison <deraison@nessus.org>
- nessus 1.0.3 already

* Fri Jul 7 2000 Renaud Deraison <deraison@nessus.org>
- nessus 1.0.2 - 2

* Wed Jul 5 2000 Renaud Deraison <deraison@nessus.org>
- nessus 1.0.2

* Mon Jun 26 2000 Henri Gomez <hgomez@slib.fr>
- nessus 1.0.1

* Fri Apr 21 2000 Klaus Knopper <knopper@linuxtag.de>
- User-buildable RPM for 1.0.0pre2

* Sun Apr 16 2000 Renaud Deraison <deraison@cvs.nessus.org>
- nessus 1.0.0pre2

* Mon Apr 10 2000 Renaud Deraison <deraison@cvs.nessus.org>
- nessus 1.0.0pre1

* Thu Mar 30 2000 Renaud Deraison <deraison@cvs.nessus.org>
- fixed sysconfdir weirdnesses
- nessus 0.99.10

* Wed Mar 22 2000 Renaud Deraison <deraison@cvs.nessus.org>
- no patch to nessus-plugins
- nessus 0.99.9

* Mon Mar 20 2000 Renaud Deraison <deraison@cvs.nessus.org>
- nessus 0.99.8.1

* Sun Mar 19 2000 Renaud Deraison <deraison@cvs.nessus.org>
- gmp not needed
- removed the nasl_guide* files
- nessus 0.99.8

* Mon Feb 28 2000 Renaud Deraison <deraison@cvs.nessus.org>
- patch to nessus-core

* Sun Feb 27 2000 Renaud Deraison <deraison@cvs.nessus.org>
- nessus 0.99.6

* Fri Feb 18 2000 Henri Gomez <gomez@slib.fr>
- nessus 0.99.5-1 R2
- patch nessus-libraries

* Thu Feb 17 2000 Henri Gomez <gomez@slib.fr>
- nessus 0.99.5-1
- multiples corrections of 0.99.5

* Tue Feb 15 2000 Henri Gomez <gomez@slib.fr>
- nessus 0.99.5
- /etc/nessusd/nessusd.conf change from 0.99.4 to 0.99.5

* Fri Jan 14 2000 Henri Gomez <gomez@slib.fr>
- nessus 0.99.4
- the nessusd.rules (in /etc/nessus) is in accept by default now.

* Wed Jan  4 2000 Henri Gomez <gomez@slib.fr>
- nessus 0.99.3
 
* Tue Dec 28 1999 Henri Gomez <gomez@slib.fr>
- nessus 0.99.2
- rework of RPM, reuse of crypto channels
- update faq/nasl files to latest versions from nessus.org
- nessus server init script (/etc/rc.d/init.d) renamed to nessusd
- prompt at install for creating initial account
  
* Wed Nov 3 1999 Henri Gomez <gomez@slib.fr>
- nessus 0.9.4
- added post 0.9.4 scripts (an_httpd_cgis, hotsync, rfpoison)
- changed nessusd.rules and nessusd.users to reflect format changes 

* Wed Oct 6 1999 Gomez Henri <gomez@slib.fr>
- nessus 0.9.3
- added mediahouse_statistics_server.nasl

* Wed Sep 22 1999 Ronan-Yan Lorin <ronan-yann.lorin@libertysurf.fr>
- nessus 0.9.2
- initial release
